Subject: RE: Setup.exe release-candidate
From: "Robert Collins" <[email-masked]>
To: "Jan Nieuwenhuizen" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 17 Mar 2002 16:42:49 +1100

> -----Original Message-----
> From: Jan Nieuwenhuizen [mailto:[email-masked]] 
> Sent: Sunday, March 17, 2002 12:13 AM
> To: Robert Collins
> Cc: [email-masked]
> Subject: Re: Setup.exe release-candidate
> 
> 
> "Robert Collins" <[email-masked]> writes:
> 
> Hi Robert,
> 
> I think I've reported this too, about a month ago.  I've got an old
> (P133) windows98 box here, that still exhibits this problem.

Cool.

> > This REQUIRES volunteer assistance from the set of cygwin setup.exe 
> > users that have windows 98SE available to them.
> 
> > I will guide, tutor,provide builds and source and debug 
> commentary - 
> > in realtime if needed - to get this solved, but I am 
> physically unable 
> > do this myself.
> 
> Ok, that sounds like fun, I'll have a go.  Though I'm no fan 
> of Windows programming, nor GUIs, and had hoped someone with 
> better iron would step forward to debug this.
> 
> Any hints up front on how to use gud, ie, what to put in 
> .emacs to make ntemacs happy with Cygwin?

I've no idea, being a vimmer myself.

However, here's the first steps to troubleshoot this (and we'd probably
better take this off-line too).

build setup in your local sandbox. Then to invoke setup under the
debugger run
$ gdb -nw ./setup.exe
to invoke a windowless gdb. I find this much better for debugging GUI
apps than the GUI debugger, but that's just me :}.

I strongly suspect that the fault is being caused by my saving and
restoring the GDI clip region.

so.. msdn is your entry point to the calls I'm used - 
<http://msdn.microsoft.com/library/default.asp?url=/library/en-us/gdi/cl
ipping_4q0e.asp>

You might try 
inserting a breakpoint at PickPackageLine::paint which is where the main
clipping manipulation goes on and then skipping the SelectClipRgn calls.
(Or just #ifdef that out).

Have a fiddle, and get back to me.

On second thoughts, MSDN just glared at me, I need a little bit of
OS-specific code that may (or may not) solve the problem. I'll try a new
snapshot with the appropriate code in 'sight-unseen' and if that
helps....

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/